      program for_test
      
      integer maxpts
      parameter(maxpts = 512)
      real x(maxpts), b, delta, fvalue
      integer npts, nerr, stdin, stdout, ivalue
      character*256 filename
      logical lvalue
      
      stdin = 5
      stdout = 6
      
      npts = maxpts
      b = 0.0
      delta = 1.0 / real(npts - 1)
      
      do 1 i = 1, npts
        x(i) = 0.1 * i / real(npts - 1)
1     continue

      call wsac1('test01',x,npts,b,delta,nerr)
      if(nerr .ne. 0)then
        write(stdout,*)'Problem writing SAC file'
      end if
      write(stdout,*) 'test01 write, nerr = ', nerr
      
      call rsac1('test01',x,npts,b,delta,maxpts,nerr)
      if(nerr .ne. 0)then
        write(stdout,*)'Problem reading SAC file'
      end if
      
      write(stdout,*) 'test01 read, nerr = ', nerr
      
      call getfhv('delta',fvalue,nerr)
      write(stdout,*) 'delta = ',fvalue
      call getfhv('evla',fvalue,nerr)
      write(stdout,*) 'evla = ',fvalue
      call getfhv('evlo',fvalue,nerr)
      write(stdout,*) 'evlo = ',fvalue
      call getfhv('stla',fvalue,nerr)
      write(stdout,*) 'stla = ', fvalue
      call getfhv('stlo',fvalue,nerr)
      write(stdout,*) 'stlo = ', fvalue  
               
      call getnhv('npts',ivalue,nerr)
      write(stdout,*) 'npts = ',ivalue     
      call getnhv('nvhdr',ivalue,nerr)
      write(stdout,*) 'nvhdr = ',ivalue     
      call getnhv('nzjday',ivalue,nerr)
      write(stdout,*) 'nzjday = ', ivalue 

      call getfhv('junk',fvalue,nerr)
      call getnhv('junk',ivalue,nerr)
      call setfhv('junk',fvalue,nerr)
      call setnhv('junk',ivalue,nerr)
      call setlhv('junk',lvalue,nerr)
      
      call setlhv('leven',.false.,nerr)    

      call wsac1('test02',x,npts,b,delta,nerr)
      if(nerr .ne. 0)then
        write(stdout,*)'Problem writing SAC file'
      end if
      write(stdout,*) 'test02 write, nerr = ', nerr
      
      stop
      end
