#include <stdio.h>
#include <math.h>

#include "sacio.h"

main(ac,av)
int ac;
char *av[];
{

	struct SacHeader inHeader, outHeader;
	float *inData, *outData;
	int nread, nBytes, nwrtn;
	int pipeIN=0, pipeOUT=1;
	int i;

	nread = read(pipeIN,&inHeader,sizeof(struct SacHeader));
	if(nread != sizeof(struct SacHeader))
	{
		fprintf(stderr,"Problem reading header.\n");
		exit(-1);
	}

        nBytes = inHeader.npts * sizeof(float);
	inData = (float *) malloc(nBytes);
	if(inData == NULL)
	{
		fprintf(stderr,"Problem allocating memory\n");
		exit(-1);
	}
	nread = read(pipeIN,inData,nBytes);
	if(nread != nBytes)
	{
		fprintf(stderr,"Problem reading data.\n");
		exit(-1);
	}

	/* do something with the data */
	outHeader = inHeader;
        nBytes = inHeader.npts * sizeof(float);
	outData = (float *) malloc(nBytes);
	for(i=0;i<inHeader.npts;i++)
		outData[i] = inData[i];


	/* OUTPUT the FILE to STDOUT */

	nwrtn = write(pipeOUT,&outHeader,sizeof(struct SacHeader));
	if(nwrtn != sizeof(struct SacHeader))
	{
		fprintf(stderr,"Problem writing header\n");
		exit(-1);
	}

        nBytes = outHeader.npts * sizeof(float);
	nwrtn = write(pipeOUT,outData,nBytes);
	if(nwrtn != nBytes)
	{
		fprintf(stderr,"Problem writing data.\n");
		exit(-1);
	}

}
